Get updated entries for audit
Returns updated DataLens entries for audit.
Request
POST
https://api.datalens.tech/rpc/getAuditEntriesUpdates
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"from": "2025-01-01T00:00:00Z",
"to": "2025-01-01T00:00:00Z",
"limit": 0.5,
"pageToken": "example"
}
|
Name |
Description |
|
from |
Type: string<date-time> Start date for filtering entries by updatedAt Example: |
|
limit |
Type: number Maximum number of entries to return |
|
pageToken |
Type: string Token for pagination Example: |
|
to |
Type: string<date-time> End date for filtering entries by updatedAt Example: |
Responses
200 OK
Response
Body
application/json
{
"entries": [
{
"entryId": "example",
"key": "example",
"isDeleted": true,
"workbookId": "example",
"collectionId": "example",
"parentFolderId": "example",
"scope": "dash",
"type": "example",
"updatedAt": "example",
"userId": "example"
}
],
"nextPageToken": "example"
}
|
Name |
Description |
|
entries |
Type: AuditEntry[] Entries updated in the requested period. Example
|
|
nextPageToken |
Type: string Token for the next page of results Example: |
EntryScope
Type of the entry, e.g. dash — dashboard, widget — chart, etc.
Type: string
Enum: dash, report, widget, dataset, folder, connection, compute, artifact
AuditEntry
|
Name |
Description |
|
collectionId |
Type: string | null ID of the associated collection Example: |
|
entryId |
Type: string Unique identifier of the entry Example: |
|
isDeleted |
Type: boolean Flag indicating if the entry is deleted |
|
key |
Type: string | null Entry key identifier Example: |
|
parentFolderId |
Type: string | null ID of the associated folder Example: |
|
scope |
Type: EntryScope Type of the entry, e.g. Enum: |
|
type |
Type: string | null Type of the entry Example: |
|
updatedAt |
Type: string Timestamp of the last update Example: |
|
userId |
Type: string ID of the user who made the change Example: |
|
workbookId |
Type: string | null ID of the associated workbook Example: |
Example
{
"entryId": "example",
"key": "example",
"isDeleted": true,
"workbookId": "example",
"collectionId": "example",
"parentFolderId": "example",
"scope": "dash",
"type": "example",
"updatedAt": "example",
"userId": "example"
}